Skip to main content
`Ctrl`+`K`

# MATDENSEHIP

“densehip” - A matrix type to be used for dense matrices on GPUs. This matrix type is identical to `MATSEQDENSEHIP` when constructed with a single process communicator, and `MATMPIDENSEHIP` otherwise.

## Options Database Key

- -mat_type densehip - sets the matrix type to `MATDENSEHIP` during a call to `MatSetFromOptions()`

## See Also

Matrices, `Mat`, `MATSEQDENSEHIP`, `MATMPIDENSEHIP`, `MATSEQDENSECUDA`, `MATMPIDENSECUDA`, `MATDENSE`

## Level

beginner

## Location

src/mat/impls/dense/mpi/cupm/hip/matmpidensehip.hip.cpp

## Examples

src/ksp/ksp/tutorials/ex79.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages